MOUNT_NNPFS(8)

NAME
mount_nnpfs - mount the nnpfs filesystem

SYNOPSIS
mount_nnpfs [-o options] special node

DESCRIPTION
The mount_nnpfs command mounts one of the nnpfs character devices, special, on mount point node. The character device is used for communication with a user-land cache manager and file provider.

The options are as follows:

-o options
    Options are specified with a -o flag followed by a comma separated string of options. See the mount(8) man page for possible options and their meanings.

The nnpfs filesystem was written primarily to make a free, AFS-compatible filesystem (Arla). But since the nnpfs interface is simple and generic it could be used for other filesystems as well.

SEE ALSO
mount(2), afsd(8), mount(8), umount(8)

HISTORY
The mount_nnpfs utility first appeared in OpenBSD 2.4.